import request from '@/utils/request';
export function getProDeviceTypeTreeSelect(query) {
  return request({
    url: '/basedata/devicetype/getProDeviceTypeTreeSelect',
    method: 'get',
    // params: query
  })
}
//所属专业
export function profession_type(query) {
  return request({
    url: '/system/dict/data/type/profession_type',
    method: 'get',
    // params: query
  })
}
// 修改
export function update(query) {
  return request({
    url: '/basedata/devicetype/update',
    method: 'post',
    data: query
  })
}
// 删除
export function remove(query) {
  return request({
    url: `/basedata/devicetype/delete/${query}`,
    method: 'post',
  })
}
// 新增
export function add(query) {
  return request({
    url: '/basedata/devicetype/add',
    method: 'post',
    data: query
  })
}